Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session

From: [email-masked] (Clément Lassieur)
Date: Fri, 22 Nov 2019 14:00:45 +0100

"Alex Griffin" <[email-masked]> writes:

> After upgrading my packages today, gnome-session started segfaulting. I think
> I finally tracked the problem down to the recent changes in how Emacs searches
> for packages. Apparently Emacs now uses the search path
> $EMACSLOADPATH. Unfortunately, this is a very long value on my system:
>
> $ echo $EMACSLOADPATH | wc -c
> 22525
>
> When I add `unset EMACSLOADPATH` to the end of `~/.profile`, GNOME works again.

Same issue here.

Since restarting Gnome Session is not possible anymore, the only way to
add an Emacs package is to reboot.

In case it's not clear: Booting works, but restarting the session
crashes.

Log attached, with:

--8<---------------cut here---------------start------------->8---
nov. 22 13:02:15 rodion kernel: gnome-session-b[3879]: segfault at 7ffd5d8e4f10 ip 00007fa420f1ba6a sp 00007ffd5d8e4f00 error 6 in libpcre.so.3.13.3[7fa420f03000+70000]
--8<---------------cut here---------------end--------------->8---

Guix version:

--8<---------------cut here---------------start------------->8---
Generation 14	nov. 21 2019 12:51:33	(current)
  guix fe9b72c
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: fe9b72c5861fabdf7f37862de393812ff3e423ac
--8<---------------cut here---------------end--------------->8---

With an up-to-date Ubuntu 18.04.3 LTS.

Cheers,
Clément